API Reference
List purchases
GET
/purchasesQuery Parameters
offsetinteger (int32)(optional)· Defaults to 1Offset to start
limitinteger (int32)(optional)· Defaults to 10Number of purchases in the response
fromstring (date)(optional)Lower bound for the time at which the purchase was created
tostring (date)(optional)Upper bound for the time at which the purchase was created
Request
curl
curl https://gateway.pmnts-sandbox.io/v1.0/purchases -u TEST:TESTResponse
200Result
json
{
"successful": true,
"response": [
{
"authorization": "512407",
"id": "071-P-P7OX5AF6",
"card_number": "512345XXXXXX2346",
"card_holder": "Matthew Savage",
"card_expiry": "2030-02-28",
"card_token": "fke86c5u",
"card_type": "MasterCard",
"card_category": "Credit",
"card_subcategory": "Standard",
"amount": 10000,
"decimal_amount": 100.0,
"successful": true,
"message": "Approved",
"reference": "73a34343849d71bca9ab1a11225a3139-1",
"currency": "AUD",
"transaction_id": "071-P-P7OX5AF6",
"settlement_date": "2017-07-03",
"transaction_date": "2017-07-03T12:39:02+10:00",
"response_code": "00",
"captured": true,
"captured_amount": 10000,
"rrn": "071PP7OX5AF6",
"cvv_match": "M",
"metadata": {},
"addendum_data": {}
},
{
"authorization": "138504",
"id": "071-P-4AXUY9Q4",
"card_number": "512345XXXXXX2346",
"card_holder": "Matthew Savage",
"card_expiry": "2030-02-28",
"card_token": "fke86c5u",
"card_type": "MasterCard",
"card_category": "Credit",
"card_subcategory": "Standard",
"amount": 10000,
"decimal_amount": 100.0,
"successful": true,
"message": "Approved",
"reference": "bfe2f0f43e2f6811161ae7a009b3c840-0",
"currency": "AUD",
"transaction_id": "071-P-4AXUY9Q4",
"settlement_date": "2017-07-03",
"transaction_date": "2017-07-03T12:39:01+10:00",
"response_code": "00",
"captured": true,
"captured_amount": 10000,
"rrn": "071P4AXUY9Q4",
"cvv_match": "M",
"metadata": {},
"addendum_data": {}
}
],
"errors": [],
"records": 2,
"total_records": 2,
"page": 1,
"total_pages": 1
}